Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.variables
Interface IStringVariable

All Known Subinterfaces:
  IDynamicVariable, IValueVariable

public interface IStringVariable

A variable that can be referenced in an expression, which resolves to a string value. Variables are referenced in expressions via their name, in the following format.

     ${varname} or ${varname:argument}

A variable is identified by its name, and optionally accepts an argument. When an argument is present, a colon seperates the variable name from its argument.

Variables can be contributed by extensions or programmatically. There are two kinds of variables.

- `IValueVariable` - variables that have a value (with getter and setter), and accept no arguments. The value of this type of variable is resolved at the time its value is set via its setter API.
- `IDynamicVariable` - variables whose value is resolved at the time a string substitution is performed by a contributed resolver. Dynamic variables may accept an argument.

Since:
  3.0

Method Summary
`String` | `getDescription()` Returns a human readable description of this variable, possibly `null`
`String` | `getName()` Returns the name of this variable.

Method Detail

### getName

    public String getName()

  Returns the name of this variable. A variable is uniquely identified by its name.

  Returns:
    variable name

### getDescription

    public String getDescription()

  Returns a human readable description of this variable, possibly `null`

  Returns:
    a description of this variable, or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.